Skip to main content
POST
/
v1
/
integrations
/
{integrationIdentifier}
/
webhook
/
configure
TypeScript
import { Novu } from "@novu/api";

const novu = new Novu({
  secretKey: "YOUR_SECRET_KEY_HERE",
});

async function run() {
  const result = await novu.integrations.integrationsControllerConfigureIntegrationWebhook("<value>");

  console.log(result);
}

run();
{
  "webhookUrl": "<string>",
  "configuredAt": "<string>",
  "botUsername": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Allowed headers-- "Authorization: ApiKey <novu_secret_key>".

Headers

idempotency-key
string

A header for idempotency purposes

Path Parameters

integrationIdentifier
string
required

Response

OK

webhookUrl
string
required

URL Novu registered with Telegram for incoming updates

configuredAt
string
required

ISO-8601 timestamp the webhook was configured at

botUsername
string
required

Resolved bot username from getMe